/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

#ifndef __CAM_COMMON_3AI_API_H__
#define __CAM_COMMON_3AI_API_H__

#include "cam_common_api.h"

#ifdef __cplusplus
extern "C"
{
#endif

typedef struct CamCommonSwSimuAutoCfg_s
{
    bool_t enable;
    bool_t awbEnable;
    bool_t cacEnable;
    bool_t ccEnable;
    bool_t lscEnable;
    char autoTable[256];
    char xml[256];
} CamCommonSwSimuAutoCfg_t;

RESULT VsiCamCommonQuery3AInterface
(
    CamCommonHandle_t            hCamCommon,
    CamCommonSwSimuAutoCfg_t    *config
);

#ifdef __cplusplus
}
#endif

#endif    // __CAM_COMMON_3AI_API_H__
