/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

#ifndef __CAM_COMMON_EE_API_H__
#define __CAM_COMMON_EE_API_H__

#include "cam_common_api.h"

#ifdef __cplusplus
extern "C"
{
#endif

#define CAM_COMMON_EE_MANUAL T_DATABASE_EDGE_ENHANCE_2
#define CAM_COMMON_EE_AUTO T_DATABASE_AUTO_EDGE_ENHANCE_2

RESULT VsiCamCommonEeLoadConfig
(
    CamCommonHandle_t  hCamCommon,
    CamDeviceHandle_t  hCamDevice
);

RESULT VsiCamCommonEeSetState
(
    CamCommonHandle_t     hCamCommon,
    bool_t                enable,
    CamDeviceConfigMode_t configMode
);

RESULT VsiCamCommonEeRangeCheck
(
    CamCommonHandle_t    hCamCommon
);
#ifdef __cplusplus
}
#endif

#endif    // __CAM_COMMON_EE_API_H__
