/******************************************************************************\
|* Copyright (c) <2022> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/


#pragma once

#define ISP_VERSION "ISP8000_V2107"

#define USE_ISP_BLS
#define USE_ISP_CCM_0507
/* #undef USE_ISP_CCM_0407 */
#define USE_ISP_CPD
#define USE_ISP_CPROC
#define USE_ISP_DG
#define USE_ISP_DPCC
#define USE_ISP_DPF
/* #undef USE_ISP_GC */
/* #undef USE_ISP_RGBGC */
#define USE_ISP_GE
/* #undef USE_ISP_GTM */
/* #undef USE_ISP_WB */
#define USE_ISP_AWB_0410
/* #undef USE_ISP_PDAF */
/* #undef USE_ISP_LUT3D */
/* #undef USE_ISP_DEMOSAIC_V1 */
#define USE_ISP_DEMOSAIC_V2
/* #undef USE_ISP_DEMOSAIC_V3 */
/* #undef USE_ISP_2DNR_V3 */
#define USE_ISP_2DNR_V5
/* #undef USE_ISP_2DNR_V5_V2 */
/* #undef USE_ISP_2DNR_V6 */
/* #undef USE_ISP_3DNR_V1_2 */
/* #undef USE_ISP_3DNR_V2_1 */
/* #undef USE_ISP_3DNR_V2_4 */
/* #undef USE_ISP_3DNR_V3 */
#define USE_ISP_3DNR_V3_1
/* #undef USE_ISP_3DNR_V4 */
/* #undef USE_ISP_LSC_V1 */
/* #undef USE_ISP_LSC_V2 */
#define USE_ISP_LSC_V3
/* #undef USE_ISP_LSC_V4 */
/* #undef USE_ISP_EE_V1 */
#define USE_ISP_EE_V2
/* #undef USE_ISP_EE_V3 */
/* #undef USE_ISP_WDR_V3 */
#define USE_ISP_WDR_V4
/* #undef USE_ISP_WDR_V5 */
/* #undef USE_ISP_WDR_V5_1 */
/* #undef USE_ISP_WDR_V5_2 */
/* #undef USE_ISP_WDR_V5_2_1 */
/* #undef USE_ISP_WDR_V5_3 */
/* #undef USE_ISP_GWDR */
/* #undef USE_ISP_HDR_STITCH */
/* #undef USE_ISP_HDR_STITCH_V1_3 */
/* #undef USE_ISP_HDR_STITCH_V2 */
#define USE_ISP_HDR_STITCH_V2_1
/* #undef USE_ISP_HDR_STITCH_V2_1_2DOL */
/* #undef USE_ISP_HDR_STITCH_V3 */
/* #undef USE_ISP_HDR_STITCH_V3_1 */
/* #undef USE_ISP_HDR_STITCH_V3_2DOL */
/* #undef USE_ISP_RGBIR_V1 */
/* #undef USE_ISP_RGBIR_V1_1 */
/* #undef USE_ISP_RGBIR_V2 */
/* #undef USE_ISP_RGBIR_V2_1 */
/* #undef USE_ISP_CNR */
/* #undef USE_ISP_CNR_V2_1 */
/* #undef USE_ISP_CNR_V2_2 */
/* #undef USE_ISP_COLORING_V1 */
/* #undef USE_ISP_YNR_V1 */
/* #undef USE_ISP_EXP_V3 */
#define USE_ISP_EXP_V2
/* #undef USE_ISP_AFM_V1_V1 */
#define USE_ISP_AFM_V1
/* #undef USE_ISP_AFM_V3 */
#define USE_ISP_3AV3
/* #undef USE_ISP_3AV4 */
/* #undef USE_ISP_FUSA_MECHANISM */






