/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* VeriSilicon 2022 */

/*!
 *  @file        utl_explogarithm.h
 *  @version     1.0
 *  @author      
 *  @brief       exponents to logarithm and vice versa conversion
 *               routines.
 */

#ifndef __UTL_EXPLOGARITHM_H__
#define __UTL_EXPLOGARITHM_H__

/*****************************************************************************
 * Prototypes
 *****************************************************************************/

int find_log_base_1(int v);
int find_log_base_2(int *v0);
void find_log_base_3(int *v0);



#endif /* __UTL_EXPLOGARITHM_H__ */

