/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2022 */

#pragma once

#ifdef __cplusplus
extern "C" {
#endif

#define COLOR_POST_FIX "\033[0m"

// Regular Colors
#define COLOR_BLACK "\033[0;30m"
#define COLOR_RED "\033[0;31m"
#define COLOR_GREEN "\033[0;32m"
#define COLOR_YELLOW "\033[0;33m"
#define COLOR_BLUE "\033[0;34m"
#define COLOR_PURPLE "\033[0;35m"
#define COLOR_CYAN "\033[0;36m"
#define COLOR_WHITE "\033[0;37m"

// Bold
#define COLOR_B_BLACK "\033[1;30m"
#define COLOR_B_RED "\033[1;31m"
#define COLOR_B_GREEN "\033[1;32m"
#define COLOR_B_YELLOW "\033[1;33m"
#define COLOR_B_BLUE "\033[1;34m"
#define COLOR_B_PURPLE "\033[1;35m"
#define COLOR_B_CYAN "\033[1;36m"
#define COLOR_B_WHITE "\033[1;37m"

// Underline
#define COLOR_U_BLACK "\033[4;30m"
#define COLOR_U_RED "\033[4;31m"
#define COLOR_U_GREEN "\033[4;32m"
#define COLOR_U_YELLOW "\033[4;33m"
#define COLOR_U_BLUE "\033[4;34m"
#define COLOR_U_PURPLE "\033[4;35m"
#define COLOR_U_CYAN "\033[4;36m"
#define COLOR_U_WHITE "\033[4;37m"

// Background
#define COLOR_ON_BLACK "\033[40m"
#define COLOR_ON_RED "\033[41m"
#define COLOR_ON_GREEN "\033[42m"
#define COLOR_ON_YELLOW "\033[43m"
#define COLOR_ON_BLUE "\033[44m"
#define COLOR_ON_PURPLE "\033[45m"
#define COLOR_ON_CYAN "\033[46m"
#define COLOR_ON_WHITE "\033[47m"

// High Intensity
#define COLOR_I_BLACK "\033[0;90m"
#define COLOR_I_RED "\033[0;91m"
#define COLOR_I_GREEN "\033[0;92m"
#define COLOR_I_YELLOW "\033[0;93m"
#define COLOR_I_BLUE "\033[0;94m"
#define COLOR_I_PURPLE "\033[0;95m"
#define COLOR_I_CYAN "\033[0;96m"
#define COLOR_I_WHITE "\033[0;97m"

// Bold High Intensity
#define COLOR_BI_BLACK "\033[1;90m"
#define COLOR_BI_RED "\033[1;91m"
#define COLOR_BI_GREEN "\033[1;92m"
#define COLOR_BI_YELLOW "\033[1;93m"
#define COLOR_BI_BLUE "\033[1;94m"
#define COLOR_BI_PURPLE "\033[1;95m"
#define COLOR_BI_CYAN "\033[1;96m"
#define COLOR_BI_WHITE "\033[1;97m"

// High Intensity backgrounds
#define COLOR_ON_I_BLACK "\033[0;100m"
#define COLOR_ON_I_RED "\033[0;101m"
#define COLOR_ON_I_GREEN "\033[0;102m"
#define COLOR_ON_I_YELLOW "\033[0;103m"
#define COLOR_ON_I_BLUE "\033[0;104m"
#define COLOR_ON_I_PURPLE "\033[0;105m"
#define COLOR_ON_I_CYAN "\033[0;106m"
#define COLOR_ON_I_WHITE "\033[0;107m"

#define COLOR_STRING(_COLOR_, _STRING_) _COLOR_ _STRING_ COLOR_POST_FIX

#ifdef __cplusplus
}
#endif
