/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2022 */

#pragma once

#include "common_base.h"

#include <time.h>

#ifdef __cplusplus
extern "C" {
#endif

#define MS_PER_S 1000

#define US_PER_MS 1000
#define US_PER_S 1000000

#define NS_PER_US 1000
#define NS_PER_MS 1000000
#define NS_PER_S 1000000000

void TCommonTime_now(struct timespec *pNow);

void TCommonTime_sleepMs(time_t ms);

#ifdef __cplusplus
}
#endif
