/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2024 */

#include "common_base.h"

#include <stdio.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef FILE TCommonStdioFile_t;

#define TCommonStdio_fopen fopen

#define TCommonStdio_fclose fclose

#define TCommonStdio_fread fread

#define TCommonStdio_fwrite fwrite

#define TCommonStdio_flush fflush

#define TCommonStdio_fseek fseek

#define TCommonStdio_ftell ftell

#define TCommonStdio_fgets fgets

#define TCommonStdio_fprintf fprintf

#define TCommonStdio_rewind rewind

#define TCommonStdio_remove remove

#define TCommonStdio_rename rename

#define TCommonStdio_stderr stderr

#define TCommonStdio_stdout stdout

TCommonStdioFile_t *TCommonStdio_open_memStream(char **ppBufferToBeFree,
                                                size_t *pBufferSize,
                                                char *pFilename,
                                                size_t filenameSize);

int TCommonStdio_close_memStream(TCommonStdioFile_t *pFile,
                                 char **ppBufferToBeFree, size_t *pBufferSize,
                                 char *pFilename, size_t filenameSize);

#ifdef __cplusplus
}
#endif
