/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2023 */

#pragma once

#include "database_base.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  LEGACY TDatabaseState_t *pState;

  // simulator section
  char class_[T_DATABASE_CLASS_NAME_LENGTH];
  bool enable;
} TDatabaseAutoExposureMeasurement_2_t;

int TDatabaseAutoExposureMeasurement_2_parse(
    TJsonValue_t *pValue, TDatabaseAutoExposureMeasurement_2_t *pConfig);

int TDatabaseAutoExposureMeasurement_2_serialize(
    TDatabaseAutoExposureMeasurement_2_t *pConfig, TJsonValue_t *pValue);

int TDatabaseAutoExposureMeasurement_2_reset(
    TDatabaseAutoExposureMeasurement_2_t *pConfig);

#ifdef __cplusplus
}
#endif
