/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2023 */

#pragma once

#include "database_base.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  uint32_t data[50];
} TDatabaseAutoExposureStatistics_3_Statistics_t;

typedef struct {
  bool enable;

  bool autoStop;
  uint16_t inputSelect;
  uint16_t windowNumber;
  uint16_t windows[25][4];
  uint16_t windowsSet[25];
  TDatabaseAutoExposureStatistics_3_Statistics_t statistics;

  LEGACY TDatabaseState_t *pState;
} TDatabaseAutoExposureStatistics_3_t;

int TDatabaseAutoExposureStatistics_3_parse(
    TJsonValue_t *pValue, TDatabaseAutoExposureStatistics_3_t *pConfig);

int TDatabaseAutoExposureStatistics_3_serialize(
    TDatabaseAutoExposureStatistics_3_t *pConfig, TJsonValue_t *pValue);

int TDatabaseAutoExposureStatistics_3_reset(
    TDatabaseAutoExposureStatistics_3_t *pConfig);

int TDatabaseAutoExposureStatistics_3_statistics(
    TDatabaseAutoExposureStatistics_3_t *pConfig, TJsonValue_t *pValue);

#ifdef __cplusplus
}
#endif
