/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2022 */

#pragma once

#include "database_base.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  float gains[20];
  bool hdr;
  uint16_t lThr[20];
} TDatabaseAutoRgbInfraredRadiation_2_1_Table_t;

typedef struct {
  TDatabaseState_t *pState;

  size_t tableNumber;
  TDatabaseAutoRgbInfraredRadiation_2_1_Table_t
      tables[T_DATABASE_AUTO_TABLE_SUM];

  // simulator section
  char class_[T_DATABASE_CLASS_NAME_LENGTH];
  bool enable;

  size_t tableIdx;
} TDatabaseAutoRgbInfraredRadiation_2_1_t;

int TDatabaseAutoRgbInfraredRadiation_2_1_parse(
    TJsonValue_t *pValue, TDatabaseAutoRgbInfraredRadiation_2_1_t *pConfig);

int TDatabaseAutoRgbInfraredRadiation_2_1_serialize(
    TDatabaseAutoRgbInfraredRadiation_2_1_t *pConfig, TJsonValue_t *pValue);

int TDatabaseAutoRgbInfraredRadiation_2_1_reset(
    TDatabaseAutoRgbInfraredRadiation_2_1_t *pConfig);

#ifdef __cplusplus
}
#endif
