/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2024 */

#pragma once

#include "database_base.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  uint8_t bit;
  bool enable;
} TDatabaseCModel_Unit_t;

typedef struct {
  TDatabaseCModel_Unit_t _2dnr;
  TDatabaseCModel_Unit_t _3dnr;
  TDatabaseCModel_Unit_t awb;
  TDatabaseCModel_Unit_t ccm;
  TDatabaseCModel_Unit_t compand;
  TDatabaseCModel_Unit_t cProc;
  TDatabaseCModel_Unit_t deMosaic;
  TDatabaseCModel_Unit_t dpcc;
  TDatabaseCModel_Unit_t dpf;
  TDatabaseCModel_Unit_t drc;
  TDatabaseCModel_Unit_t ee;
  TDatabaseCModel_Unit_t gtm;
  TDatabaseCModel_Unit_t hdr;
  TDatabaseCModel_Unit_t lsc;
  TDatabaseCModel_Unit_t scale;
} TDatabaseCModel_t;

int TDatabaseCModel_parse(TJsonValue_t *pValue, TDatabaseCModel_t *pConfig);

int TDatabaseCModel_serialize(TDatabaseCModel_t *pConfig, TJsonValue_t *pValue);

int TDatabaseCModel_reset(TDatabaseCModel_t *pConfig);

#ifdef __cplusplus
}
#endif
