/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Cao, Zheng since 2023 */

#pragma once

#include "database_base.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  bool enable;

  uint16_t lineWidth;
  uint16_t ths1;
  uint16_t ths2;

  LEGACY TDatabaseState_t state;

  // simulator section
  SIMULATOR char class_[T_DATABASE_CLASS_NAME_LENGTH];
} TDatabaseColorNoiseReduction_t;

int TDatabaseColorNoiseReduction_parse(TJsonValue_t *pValue,
                                       TDatabaseColorNoiseReduction_t *pConfig);

int TDatabaseColorNoiseReduction_serialize(
    TDatabaseColorNoiseReduction_t *pConfig, TJsonValue_t *pValue);

int TDatabaseColorNoiseReduction_reset(TDatabaseColorNoiseReduction_t *pConfig);

#ifdef __cplusplus
}
#endif
