/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Cao, Zheng since 2023 */

#pragma once

#include "database_base.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  bool enable;

  uint16_t matrix[4][289];
  uint16_t xSize[8];
  uint16_t ySize[8];

  LEGACY TDatabaseState_t state;

  // simulator section
  SIMULATOR char class_[T_DATABASE_CLASS_NAME_LENGTH];
} TDatabaseLensShadingCorrection_t;

int TDatabaseLensShadingCorrection_parse(
    TJsonValue_t *pValue, TDatabaseLensShadingCorrection_t *pConfig);

int TDatabaseLensShadingCorrection_serialize(
    TDatabaseLensShadingCorrection_t *pConfig, TJsonValue_t *pValue);

int TDatabaseLensShadingCorrection_reset(
    TDatabaseLensShadingCorrection_t *pConfig);

#ifdef __cplusplus
}
#endif
