/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2022 */

#pragma once

#include "database_base.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  TDatabaseState_t state;

  float damping;

  // simulator section
  char class_[T_DATABASE_CLASS_NAME_LENGTH];
  bool enable;
} TDatabaseLensShadingCorrectionWhitePixel_t;

int TDatabaseLensShadingCorrectionWhitePixel_parse(
    TJsonValue_t *pValue, TDatabaseLensShadingCorrectionWhitePixel_t *pConfig);

int TDatabaseLensShadingCorrectionWhitePixel_serialize(
    TDatabaseLensShadingCorrectionWhitePixel_t *pConfig, TJsonValue_t *pValue);

int TDatabaseLensShadingCorrectionWhitePixel_reset(
    TDatabaseLensShadingCorrectionWhitePixel_t *pConfig);

#ifdef __cplusplus
}
#endif
