/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Cao, Zheng since 2024 */

#pragma once

#include "database_base.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  char ispVersion[40];
  bool nrReloc;
  bool isPipeline;

} TDatabaseMisc_t;

int TDatabaseMisc_parse(TJsonValue_t *pValue, TDatabaseMisc_t *pConfig);

int TDatabaseMisc_serialize(TDatabaseMisc_t *pConfig, TJsonValue_t *pValue);

int TDatabaseMisc_reset(TDatabaseMisc_t *pConfig);

#ifdef __cplusplus
}
#endif
