/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2023 */

#pragma once

#include "database_base.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  TCommonTracerLevel_t database;
  TCommonTracerLevel_t driver;
  TCommonTracerLevel_t shell;
  TCommonTracerLevel_t transmit;
} TDatabaseReport_t;

int TDatabaseReport_parse(TJsonValue_t *pValue, TDatabaseReport_t *pConfig);

int TDatabaseReport_serialize(TDatabaseReport_t *pConfig, TJsonValue_t *pValue);

int TDatabaseReport_reset(TDatabaseReport_t *pConfig);

#ifdef __cplusplus
}
#endif
