/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Cao, Zheng since 2024 */

#pragma once

#include "database_base.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  bool enable;

  float gain[4];

  LEGACY TDatabaseState_t state;

  // shell
  RESERVED bool isStatistics;

  // simulator section
  SIMULATOR char class_[T_DATABASE_CLASS_NAME_LENGTH];
} TDatabaseWhiteBalance_t;

int TDatabaseWhiteBalance_parse(TJsonValue_t *pValue,
                                TDatabaseWhiteBalance_t *pConfig);

int TDatabaseWhiteBalance_serialize(TDatabaseWhiteBalance_t *pConfig,
                                    TJsonValue_t *pValue);

int TDatabaseWhiteBalance_reset(TDatabaseWhiteBalance_t *pConfig);

#ifdef __cplusplus
}
#endif
