/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2022 */

#pragma once

#include "database_base.h"

#include "database_2d_noise_reduction_3.h"
#include "database_2d_noise_reduction_5_2.h"
#include "database_2d_noise_reduction_6.h"
#include "database_3a_interface_2.h"
#include "database_3d_noise_reduction_1_2.h"
#include "database_3d_noise_reduction_2_1.h"
#include "database_3d_noise_reduction_2_4.h"
#include "database_3d_noise_reduction_3.h"
#include "database_3d_noise_reduction_3_1.h"
#include "database_3d_noise_reduction_4.h"
#include "database_auto_2d_noise_reduction_3.h"
#include "database_auto_2d_noise_reduction_5_2.h"
#include "database_auto_2d_noise_reduction_6.h"
#include "database_auto_3d_noise_reduction_1_2.h"
#include "database_auto_3d_noise_reduction_2_1.h"
#include "database_auto_3d_noise_reduction_2_4.h"
#include "database_auto_3d_noise_reduction_3.h"
#include "database_auto_3d_noise_reduction_3_1.h"
#include "database_auto_3d_noise_reduction_4.h"
#include "database_auto_black_level_subtraction.h"
#include "database_auto_color_correction_matrix.h"
#include "database_auto_color_correction_matrix_1_1.h"
#include "database_auto_color_noise_reduction_2_1.h"
#include "database_auto_color_noise_reduction_2_2.h"
#include "database_auto_color_process_1_2.h"
#include "database_auto_defect_pixel_cluster_correction.h"
#include "database_auto_demosaic_2.h"
#include "database_auto_demosaic_3.h"
#include "database_auto_denoise_prefilter.h"
#include "database_auto_edge_enhance.h"
#include "database_auto_edge_enhance_2.h"
#include "database_auto_edge_enhance_3.h"
#include "database_auto_exposure_3.h"
#include "database_auto_exposure_4.h"
#include "database_auto_exposure_measurement_2.h"
#include "database_auto_exposure_statistics_2.h"
#include "database_auto_exposure_statistics_3.h"
#include "database_auto_focus_3.h"
#include "database_auto_focus_4.h"
#include "database_auto_focus_measurement.h"
#include "database_auto_focus_measurement_1_1.h"
#include "database_auto_focus_measurement_3.h"
#include "database_auto_gamma_correction_2.h"
#include "database_auto_global_tone_mapping.h"
#include "database_auto_high_dynamic_range.h"
#include "database_auto_high_dynamic_range_3.h"
#include "database_auto_lens_shading_correction_2.h"
#include "database_auto_lens_shading_correction_3.h"
#include "database_auto_lens_shading_correction_4.h"
#include "database_auto_rgb_infrared_radiation_2_1.h"
#include "database_auto_white_balance_3.h"
#include "database_auto_white_balance_4.h"
#include "database_auto_wide_dynamic_range_4_1.h"
#include "database_auto_wide_dynamic_range_5.h"
#include "database_auto_wide_dynamic_range_5_1.h"
#include "database_auto_wide_dynamic_range_5_2.h"
#include "database_auto_wide_dynamic_range_5_2_1.h"
#include "database_auto_wide_dynamic_range_5_3.h"
#include "database_black_level_subtraction.h"
#include "database_c_model.h"
#include "database_calibration.h"
#include "database_channel.h"
#include "database_color_correction_matrix.h"
#include "database_color_correction_matrix_1_1.h"
#include "database_color_correction_white_pixel.h"
#include "database_color_noise_reduction.h"
#include "database_color_noise_reduction_2_1.h"
#include "database_color_noise_reduction_2_2.h"
#include "database_color_process_1_2.h"
#include "database_color_space_matrix.h"
#include "database_compand_1_1.h"
#include "database_defect_pixel_cluster_correction.h"
#include "database_demosaic_1_1.h"
#include "database_demosaic_2.h"
#include "database_demosaic_3.h"
#include "database_denoise_prefilter.h"
#include "database_device.h"
#include "database_digital_gain.h"
#include "database_dump.h"
#include "database_dynamic_contrast_improvement_histogram.h"
#include "database_edge_enhance.h"
#include "database_edge_enhance_2.h"
#include "database_edge_enhance_3.h"
#include "database_exposure_control_2.h"
#include "database_focus_control.h"
#include "database_gamma_correction.h"
#include "database_gamma_correction_2.h"
#include "database_global_tone_mapping.h"
#include "database_global_wide_dynamic_range.h"
#include "database_green_equilibration.h"
#include "database_green_equilibration_2.h"
#include "database_high_dynamic_range_1_3.h"
#include "database_high_dynamic_range_2.h"
#include "database_high_dynamic_range_2_1.h"
#include "database_high_dynamic_range_2_1_2dol.h"
#include "database_high_dynamic_range_3.h"
#include "database_high_dynamic_range_3_2dol.h"
#include "database_high_dynamic_range_3_lite.h"
#include "database_histogram.h"
#include "database_histogram_2.h"
#include "database_input.h"
#include "database_isp.h"
#include "database_lens_shading_correction.h"
#include "database_lens_shading_correction_2.h"
#include "database_lens_shading_correction_3.h"
#include "database_lens_shading_correction_4.h"
#include "database_lens_shading_correction_white_pixel.h"
#include "database_look_up_table_3d.h"
#include "database_meta.h"
#include "database_meta_driver.h"
#include "database_misc.h"
#include "database_output.h"
#include "database_phase_detection_auto_focus.h"
#include "database_register.h"
#include "database_report.h"
#include "database_rgb_infrared_radiation.h"
#include "database_rgb_infrared_radiation_1_1.h"
#include "database_rgb_infrared_radiation_2.h"
#include "database_rgb_infrared_radiation_2_1.h"
#include "database_sensor.h"
#include "database_setting.h"
#include "database_tile.h"
#include "database_transmit.h"
#include "database_tuning.h"
#include "database_vi200.h"
#include "database_vi200_2.h"
#include "database_vi200_2_1.h"
#include "database_white_balance.h"
#include "database_white_balance_1_1.h"
#include "database_wide_dynamic_range_3_1.h"
#include "database_wide_dynamic_range_4_1.h"
#include "database_wide_dynamic_range_5.h"
#include "database_wide_dynamic_range_5_1.h"
#include "database_wide_dynamic_range_5_2.h"
#include "database_wide_dynamic_range_5_2_1.h"
#include "database_wide_dynamic_range_5_3.h"

#ifdef __cplusplus
extern "C" {
#endif

#define JSON_ROOT "tuning"

int TDatabase_open(TDatabaseOpenParam_t *pParam, TDatabaseHandle_t *pHandle);

int TDatabase_close(TDatabaseHandle_t *pHandle);

int TDatabase_query(TDatabaseHandle_t handle, char const *pCategory,
                    void **ppData);

int TDatabase_load(TDatabaseHandle_t handle, char const *pFilename);

int TDatabase_save(TDatabaseHandle_t handle, char const *pFilename);

int TDatabase_metaLoad(TDatabaseHandle_t handle, char const *pFilename);

int TDatabase_metaSave(TDatabaseHandle_t handle, char const *pFilename);

int TDatabase_parse(TDatabaseHandle_t handle, char const *pText);

int TDatabase_reset(TDatabaseHandle_t handle);

int TDatabase_serialize(TDatabaseHandle_t handle, char **ppText);

#ifdef __cplusplus
}
#endif
