/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2022 */

#pragma once

#include "json_base.h"

#include "json_value.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef uintptr_t TJsonReaderHandle_t;

int TJsonReader_open(TJsonReaderHandle_t *pHandle);

int TJsonReader_close(TJsonReaderHandle_t *pHandle);

int TJsonReader_load(TJsonReaderHandle_t handle, char const *pFilename,
                     TJsonValue_t **ppValue);

int TJsonReader_parse(TJsonReaderHandle_t handle, char const *pBegin,
                      char const *pEnd, TJsonValue_t **ppValue);

#ifdef __cplusplus
}
#endif
