/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2022 */

#pragma once

#include "json_value.h"

#ifdef __cplusplus
extern "C" {
#endif

int TJsonUtility_ignoreSpaces(char const **ppCurrent, char const *pEnd);

int TJsonUtility_shortenForDisplay(char const *pBegin, char const *pEnd,
                                   int lengthMax, char *pBuffer, size_t size);

int TJsonUtility_size(char const *pBegin, char const *pEnd, size_t *pSize);

int TJsonUtility_verify(char const *pBegin, char const *pEnd);

#ifdef __cplusplus
}
#endif
