/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

#ifndef CAMERICCORECHECK_H
#define CAMERICCORECHECK_H

#if defined (ISP_3DNR_V2_1) || defined (ISP_RGBIR_V2_1)
#define CORE_NUM_MAX 3
#endif

#ifdef ISP_3DNR_V2_1 
extern bool_t coreIndex3DNR[CORE_NUM_MAX]; // LC, LCR, LCR

RESULT check3DnrUsage(uint16_t coreIndex);
#endif

#ifdef ISP_RGBIR_V2_1 
extern bool_t coreIndexRGBIR[CORE_NUM_MAX]; // LC, LCR, LCR

RESULT checkRgbirUsage(uint16_t coreIndex);
#endif


#endif
