/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

#ifndef __CAM_COMMON_SUBMODULES_H_
#define __CAM_COMMON_SUBMODULES_H_

#include "cam_common_2dnr_api.h"
#include "cam_common_3dnr_api.h"
#include "cam_common_ae_api.h"
#include "cam_common_af_api.h"
#include "cam_common_afm_api.h"
#include "cam_common_afm_api_v3.h"
#include "cam_common_awb_api.h"
#include "cam_common_bls_api.h"
#include "cam_common_ccm_api.h"
#include "cam_common_cnr_api.h"
#include "cam_common_cpd_api.h"
#include "cam_common_cproc_api.h"
#include "cam_common_dg_api.h"
#include "cam_common_dmsc_api.h"
#include "cam_common_dpcc_api.h"
#include "cam_common_dpf_api.h"
#include "cam_common_ee_api.h"
#include "cam_common_gc_api.h"
#include "cam_common_ge_api.h"
#include "cam_common_gtm_api.h"
#include "cam_common_gwdr_api.h"
#include "cam_common_hdr_api.h"
#include "cam_common_lsc_api.h"
#include "cam_common_lut3d_api.h"
#include "cam_common_pdaf_api.h"
#include "cam_common_rgbir_api.h"
#include "cam_common_wb_api.h"
#include "cam_common_wdr_api.h"

RESULT VsiCamCommonPipelineLoadConfig
(
    CamCommonHandle_t  hCamCommon,
    CamDeviceHandle_t  hCamDevice
);

#endif //__CAM_COMMON_SUBMODULES_H_
