#ifndef __V4L2_ISI_H__
#define __V4L2_ISI_H__

#include "isi.h"

#define V4L2_SENSOR

int v4l2_isi_init(int index);
void v4l2_isi_deinit(int index);
int v4l2_set_again(int index, IsiSensorGain_t *pSensorAGain);
int v4l2_get_again(int index, IsiSensorGain_t *pSensorAGain);
int v4l2_set_dgain(int index, IsiSensorGain_t *pSensorDGain);
int v4l2_set_int_time(int index, const IsiSensorIntTime_t *pSensorIntTime);
int v4l2_get_int_time(int index, IsiSensorIntTime_t *pSensorIntTime);
int v4l2_get_caps(int index, IsiCaps_t *pCaps);
int v4l2_get_ae_base_info(int index, IsiAeBaseInfo_t *pAeBaseInfo);
int v4l2_get_sensor_mode_info(int index, IsiSensorMode_t *pMode);
int v4l2_get_sensor_enum_mode(int index, IsiSensorEnumMode_t  *pEnumMode);
#endif