/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2024 */

#pragma once

#include "common_base.h"

#ifdef __cplusplus
extern "C" {
#endif

char *TCommonArgument_key(char const *pText, char *pBuffer, size_t size);

bool TCommonArgument_match(char const *pText, char const *pKey);

char const *TCommonArgument_value(char const *pText);

long TCommonArgument_valueInteger(char const *pText);

float TCommonArgument_valueFloat(char const *pText);

#ifdef __cplusplus
}
#endif
