/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2022 */

#pragma once

#include "common_base.h"

#include "common_stdio.h"
#include "common_stdlib.h"

#ifdef __cplusplus
extern "C" {
#endif

double TCommonConvert_float2Double(float f);

long TCommonConvert_hex2long(char const *pBuffer);

char *TCommonConvert_hex2long_(unsigned long value, char *pBuffer);

void TCommonConvert_integer2Binary(void *pData, size_t stride, size_t offset,
                                   long data);

long TCommonConvert_integer2Binary_(bool isSigned, void *pData, size_t stride,
                                    size_t offset);

#ifdef __cplusplus
}
#endif
