/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2024 */

#pragma once

#include "common_base.h"

#include "common_dqueue.h"

#ifdef __cplusplus
extern "C" {
#endif

#define T_COMMON_FILESYSTEM_FILENAME_MAX 256

bool TCommonFilesystem_exists(char const *pFilename);

char *TCommonFilesystem_extension(char *pBuffer, size_t size,
                                  char const *pPath);

int TCommonFilesystem_ls(TCommonDQueueHandle_t handle, char const *pExtension,
                         char const *pPath, bool isAbsolute);

int TCommonFilesystem_mkdirP(char const *pPath);

#ifdef __cplusplus
}
#endif
