/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2022 */

#pragma once

#include "common_base.h"

#ifdef __cplusplus
extern "C" {
#endif

#if defined(ARRAY_SIZE)
#undef ARRAY_SIZE
#endif // ARRAY_SIZE

#define ARRAY_SIZE(array) (sizeof((array)) / sizeof((array)[0]))

#if defined(CLEAR)
#undef CLEAR
#endif // CLEAR

#define CLEAR(x) memset(&(x), 0, sizeof(x))

#if defined(COPY)
#undef COPY
#endif // COPY

#define COPY(pA, pB) memcpy((pA), (pB), sizeof(*(pA)))

#if defined(MIN)
#undef MIN
#endif // MIN

#define MIN(a, b) (((a) < (b)) ? (a) : (b))

#if defined(MAX)
#undef MAX
#endif // MAX

#define MAX(a, b) (((a) > (b)) ? (a) : (b))

#if defined(SWAP)
#undef SWAP
#endif // SWAP

#define SWAP(a, b) (void *p = a; a = b; b = p;)

#ifdef __cplusplus
}
#endif
