/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2022 */

#pragma once

#include "common_base.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef uintptr_t TCommonMapHandle_t;

#define TCM_FREE 0x00000001

int TCommonMap_open(TCommonMapHandle_t *pHandle);

int TCommonMap_close(TCommonMapHandle_t *pHandle);

int TCommonMap_add(TCommonMapHandle_t handle, char const *pKey, void *pData,
                   int flags);

int TCommonMap_remove(TCommonMapHandle_t handle, char const *pKey);

int TCommonMap_get(TCommonMapHandle_t handle, char const *pKey, void **ppData);

int TCommonMap_key(TCommonMapHandle_t handle, size_t index, char const **ppKey);

int TCommonMap_size(TCommonMapHandle_t handle, size_t *pSize);

#ifdef __cplusplus
}
#endif
