/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2022 */

#pragma once

#include "common_base.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef uintptr_t TCommonSemaphoreHandle_t;

typedef struct {
  size_t value;
} TCommonSemaphoreOpenParam_t;

int TCommonSemaphore_open(TCommonSemaphoreOpenParam_t *pParam,
                          TCommonSemaphoreHandle_t *pHandle);

int TCommonSemaphore_close(TCommonSemaphoreHandle_t *pHandle);

int TCommonSemaphore_wait(TCommonSemaphoreHandle_t handle);

int TCommonSemaphore_waitTimeout(TCommonSemaphoreHandle_t handle,
                                 ssize_t timeoutMs);

int TCommonSemaphore_post(TCommonSemaphoreHandle_t handle);

#ifdef __cplusplus
}
#endif
