/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2024 */

#pragma once

#include "common_base.h"

#if defined(FREERTOS)
#include <freertos/freertos_stdlib.h>
#endif // FREERTOS

#if defined(LINUX)
#include <linux/linux_stdlib.h>
#endif // LINUX

#if defined(WIN32)
#include <win32/win32_stdlib.h>
#endif // WIN32

#ifdef __cplusplus
extern "C" {
#endif

#if defined(FREE)
#undef FREE
#endif // FREE

#define FREE(x)                                                                \
  do {                                                                         \
    if ((x)) {                                                                 \
      TCommonStdlib_free((x));                                                 \
      (x) = NULL;                                                              \
    }                                                                          \
  } while (0)

#ifdef __cplusplus
}
#endif
