/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2022 */

#pragma once

#include "common_base.h"

#if defined(FREERTOS)
#include <freertos/freertos_string.h>
#endif // FREERTOS

#if defined(LINUX)
#include <linux/linux_string.h>
#endif // LINUX

#if defined(WIN32)
#include <win32/win32_string.h>
#endif // WIN32

#ifdef __cplusplus
extern "C" {
#endif

bool TCommonString_equal(char const *pChar, char const *pChar2,
                         bool ignoreCase);

bool TCommonString_equalWithLength(char const *pChar, char const *pChar2,
                                   size_t length, bool ignoreCase);

#ifdef __cplusplus
}
#endif
