/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2022 */

#pragma once

#include "database_base.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  bool enable;

  bool preGammaEn;
  float sigma;
  uint8_t strength;

  DEPRECATED_MSG("use preGammaEn instead") bool isPreGamma;

  LEGACY TDatabaseState_t state;

  RESERVED bool isStatistics;

  SIMULATOR char class_[T_DATABASE_CLASS_NAME_LENGTH];
} TDatabase2DNoiseReduction_3_t;

int TDatabase2DNoiseReduction_3_parse(TJsonValue_t *pValue,
                                      TDatabase2DNoiseReduction_3_t *pConfig);

int TDatabase2DNoiseReduction_3_serialize(
    TDatabase2DNoiseReduction_3_t *pConfig, TJsonValue_t *pValue);

int TDatabase2DNoiseReduction_3_reset(TDatabase2DNoiseReduction_3_t *pConfig);

#ifdef __cplusplus
}
#endif
