/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2022 */

#pragma once

#include "database_base.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  char autoTable[256];
  bool awbEnable;
  bool cacEnable;
  bool ccEnable;
  bool enable;
  float integrationTime;
  bool lscEnable;
  uint16_t lscVersion;
  float sensorGain;
  char xml[256];

  bool metadataEnable;
  float metadataExposureGain[6];
  float metadataExposureTime[6];
  float metadataCCT[6]; // need confirm size
  float metadataAwbGains[6][4];
  float maxExposureTime;

  char class_[T_DATABASE_CLASS_NAME_LENGTH];
} TDatabase3AInterface_2_t;

int TDatabase3AInterface_2_reset(TDatabase3AInterface_2_t *pConfig);

#ifdef __cplusplus
}
#endif
