/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Li, Renji since 2023 */

#pragma once

#include "database_base.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  bool enable;
  uint8_t autoModeSelect;

  LEGACY TDatabaseState_t *pState;

  RESERVED size_t tableNumber;
  RESERVED size_t tableIdx;

  // simulator section
  SIMULATOR char class_[T_DATABASE_CLASS_NAME_LENGTH];
} TDatabaseAutoDefectPixelClusterCorrection_t;

int TDatabaseAutoDefectPixelClusterCorrection_parse(
    TJsonValue_t *pValue, TDatabaseAutoDefectPixelClusterCorrection_t *pConfig);

int TDatabaseAutoDefectPixelClusterCorrection_serialize(
    TDatabaseAutoDefectPixelClusterCorrection_t *pConfig, TJsonValue_t *pValue);

int TDatabaseAutoDefectPixelClusterCorrection_reset(
    TDatabaseAutoDefectPixelClusterCorrection_t *pConfig);

#ifdef __cplusplus
}
#endif
