/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2023 */

#pragma once

#include "database_base.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  uint32_t bls[4];
  bool overrideCaliEn;

  LEGACY TDatabaseState_t state;

  DEPRECATED_MSG("use bls instead") uint32_t data[4];
  DEPRECATED_MSG("use overrideCaliEn instead")
  bool isOverrideCalibration;

  // shell
  RESERVED bool isStatistics;
} TDatabaseBlackLevelSubtraction_t;

int TDatabaseBlackLevelSubtraction_parse(
    TJsonValue_t *pValue, TDatabaseBlackLevelSubtraction_t *pConfig);

int TDatabaseBlackLevelSubtraction_serialize(
    TDatabaseBlackLevelSubtraction_t *pConfig, TJsonValue_t *pValue);

int TDatabaseBlackLevelSubtraction_reset(
    TDatabaseBlackLevelSubtraction_t *pConfig);

#ifdef __cplusplus
}
#endif
