/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2024 */

#pragma once

#include "database_base.h"

#ifdef __cplusplus
extern "C" {
#endif
#include "database_register.h"

typedef struct {
  TDatabaseRegister_t *pRegisters;
  size_t registerNumber;
} TDatabaseDump_t;

int TDatabaseDump_parse(TJsonValue_t *pValue, TDatabaseDump_t *pConfig);

int TDatabaseDump_serialize(TDatabaseDump_t *pConfig, TJsonValue_t *pValue);

int TDatabaseDump_reset(TDatabaseDump_t *pConfig);

#ifdef __cplusplus
}
#endif
