/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2022 */

#pragma once

#include "database_base.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  bool enable;

  uint32_t mLut[3][4913];

  LEGACY TDatabaseState_t state;

  // simulator section
  SIMULATOR char class_[T_DATABASE_CLASS_NAME_LENGTH];
} TDatabaseLookUpTable3D_t;

int TDatabaseLookUpTable3D_parse(TJsonValue_t *pValue,
                                 TDatabaseLookUpTable3D_t *pConfig);

int TDatabaseLookUpTable3D_serialize(TDatabaseLookUpTable3D_t *pConfig,
                                     TJsonValue_t *pValue);

int TDatabaseLookUpTable3D_reset(TDatabaseLookUpTable3D_t *pConfig);

#ifdef __cplusplus
}
#endif
