/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2023 */

#pragma once

#include "database_base.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  char nginxIp[16];
  bool isStreamable;

  bool isExit;
} TDatabaseTransmit_t;

int TDatabaseTransmit_parse(TJsonValue_t *pValue, TDatabaseTransmit_t *pConfig);

int TDatabaseTransmit_serialize(TDatabaseTransmit_t *pConfig,
                                TJsonValue_t *pValue);

int TDatabaseTransmit_reset(TDatabaseTransmit_t *pConfig);

#ifdef __cplusplus
}
#endif
