/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Li, Renji since 2024 */

#pragma once

#include "database_base.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  bool enable;

  uint8_t strength;
  uint8_t globalStrength;
  uint8_t maxGain;

  LEGACY TDatabaseState_t state;

  SIMULATOR char class_[T_DATABASE_CLASS_NAME_LENGTH];
} TDatabaseWideDynamicRange_3_1_t;

int TDatabaseWideDynamicRange_3_1_parse(
    TJsonValue_t *pValue, TDatabaseWideDynamicRange_3_1_t *pConfig);

int TDatabaseWideDynamicRange_3_1_serialize(
    TDatabaseWideDynamicRange_3_1_t *pConfig, TJsonValue_t *pValue);

int TDatabaseWideDynamicRange_3_1_reset(
    TDatabaseWideDynamicRange_3_1_t *pConfig);

#ifdef __cplusplus
}
#endif
