/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2024 */

#pragma once

#include "database_ext_base.h"

#ifdef __cplusplus
extern "C" {
#endif

#if defined(T_DATABASE_2D_NOISE_REDUCTION_6)
int TDatabase2DNoiseReduction_6_get(TDatabaseHandle_t handle, bool_t *pEnable,
                                    bool_t *pIsLumaCtrl, bool_t *pIsLscGainComp,
                                    bool_t *pIsMotionCtrl, bool_t *pHdr,
                                    CamDevice2DnrConfig_t *pConfig2);

int TDatabase2DNoiseReduction_6_set(TDatabaseHandle_t handle,
                                    CamDevice2DnrManualConfig_t *pConfig3);
#endif // T_DATABASE_2D_NOISE_REDUCTION_6

#ifdef __cplusplus
}
#endif
