/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2024 */

#pragma once

#include "database_ext_base.h"

#ifdef __cplusplus
extern "C" {
#endif

#if defined(T_DATABASE_3D_NOISE_REDUCTION_3_1)
int TDatabase3DNoiseReduction_3_1_get(TDatabaseHandle_t handle, bool_t *pEnable,
                                      bool_t *pHdr,
                                      CamDevice3DnrConfig_t *pConfig2,
                                      CamDevice3DnrMotion_t *pMotion,
                                      CamDevice3DnrWorkMode_t *pWorkMode,
                                      bool_t *pPreGammaEn);

int TDatabase3DNoiseReduction_3_1_set(TDatabaseHandle_t handle,
                                      CamDevice3DnrManualConfig_t *pConfig3,
                                      CamDevice3DnrMotion_t *pMotion,
                                      CamDevice3DnrWorkMode_t *pWorkMode);
#endif // T_DATABASE_3D_NOISE_REDUCTION_3_1

#ifdef __cplusplus
}
#endif
