/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2024 */

#pragma once

#include "database_ext_base.h"

#include "database_ext_2d_noise_reduction_3.h"
#include "database_ext_2d_noise_reduction_5_2.h"
#include "database_ext_2d_noise_reduction_6.h"
#include "database_ext_3d_noise_reduction_1_2.h"
#include "database_ext_3d_noise_reduction_2_1.h"
#include "database_ext_3d_noise_reduction_2_4.h"
#include "database_ext_3d_noise_reduction_3.h"
#include "database_ext_3d_noise_reduction_3_1.h"
#include "database_ext_3d_noise_reduction_4.h"
#include "database_ext_auto_exposure_statistics_2.h"
#include "database_ext_auto_exposure_statistics_3.h"
#include "database_ext_auto_focus_measurement.h"
#include "database_ext_auto_focus_measurement_1_1.h"
#include "database_ext_auto_focus_measurement_3.h"
#include "database_ext_black_level_subtraction.h"
// #include "database_ext_calibration.h"
#include "database_ext_color_correction_matrix.h"
#include "database_ext_color_correction_matrix_1_1.h"
// #include "database_ext_color_correction_white_pixel.h"
#include "database_ext_color_noise_reduction.h"
#include "database_ext_color_noise_reduction_2_1.h"
#include "database_ext_color_noise_reduction_2_2.h"
#include "database_ext_color_process_1_2.h"
#include "database_ext_compand_1_1.h"
#include "database_ext_defect_pixel_cluster_correction.h"
#include "database_ext_demosaic_1_1.h"
#include "database_ext_demosaic_2.h"
#include "database_ext_demosaic_3.h"
#include "database_ext_denoise_prefilter.h"
#include "database_ext_digital_gain.h"
// #include "database_ext_dump.h"
// #include "database_ext_dynamic_contrast_improvement_histogram.h"
#include "database_ext_edge_enhance.h"
#include "database_ext_edge_enhance_2.h"
#include "database_ext_edge_enhance_3.h"
#include "database_ext_exposure_control_2.h"
#include "database_ext_focus_control.h"
#include "database_ext_gamma_correction.h"
#include "database_ext_gamma_correction_2.h"
#include "database_ext_global_tone_mapping.h"
#include "database_ext_global_wide_dynamic_range.h"
#include "database_ext_green_equilibration.h"
#include "database_ext_green_equilibration_2.h"
#include "database_ext_high_dynamic_range_1_3.h"
#include "database_ext_high_dynamic_range_2.h"
#include "database_ext_high_dynamic_range_2_1.h"
#include "database_ext_high_dynamic_range_2_1_2dol.h"
#include "database_ext_high_dynamic_range_3.h"
#include "database_ext_high_dynamic_range_3_2dol.h"
#include "database_ext_high_dynamic_range_3_lite.h"
#include "database_ext_histogram.h"
#include "database_ext_histogram_2.h"
// #include "database_ext_input.h"
// #include "database_ext_isp.h"
#include "database_ext_lens_shading_correction.h"
#include "database_ext_lens_shading_correction_2.h"
#include "database_ext_lens_shading_correction_3.h"
#include "database_ext_lens_shading_correction_4.h"
// #include "database_ext_lens_shading_correction_white_pixel.h"
#include "database_ext_look_up_table_3d.h"
#include "database_ext_meta.h"
// #include "database_ext_output.h"
#include "database_ext_phase_detection_auto_focus.h"
// #include "database_ext_register.h"
#include "database_ext_rgb_infrared_radiation.h"
#include "database_ext_rgb_infrared_radiation_1_1.h"
#include "database_ext_rgb_infrared_radiation_2.h"
#include "database_ext_rgb_infrared_radiation_2_1.h"
// #include "database_ext_sensor.h"
// #include "database_ext_vi200.h"
#include "database_ext_auto_exposure_3.h"
#include "database_ext_auto_exposure_4.h"
#include "database_ext_auto_focus_3.h"
#include "database_ext_auto_focus_4.h"
#include "database_ext_auto_white_balance_3.h"
#include "database_ext_auto_white_balance_4.h"
#include "database_ext_white_balance.h"
#include "database_ext_white_balance_1_1.h"
#include "database_ext_wide_dynamic_range_3_1.h"
#include "database_ext_wide_dynamic_range_4_1.h"
#include "database_ext_wide_dynamic_range_5.h"
#include "database_ext_wide_dynamic_range_5_1.h"
#include "database_ext_wide_dynamic_range_5_2.h"
#include "database_ext_wide_dynamic_range_5_2_1.h"
#include "database_ext_wide_dynamic_range_5_3.h"
