/******************************************************************************\
|* Copyright (c) <2024> by VeriSilicon Holdings Co., Ltd. ("VeriSilicon")     *|
|* All Rights Reserved.                                                       *|
|*                                                                            *|
|* The material in this file is confidential and contains trade secrets       *|
|* of VeriSilicon.  This is proprietary information owned or licensed by      *|
|* VeriSilicon.  No part of this work may be disclosed, reproduced, copied,   *|
|* transmitted, or used in any way for any purpose, without the express       *|
|* written permission of VeriSilicon.                                         *|
|*                                                                            *|
\******************************************************************************/

/* Powered by Yang, Yong since 2022 */

#pragma once

#include "json_base.h"

#include "json_value.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef uintptr_t TJsonWriterHandle_t;

typedef struct {
  int decimals;
  int elementNumberPerLine;
  char indent[10];
} TJsonWriterOpenParam_t;

int TJsonWriter_open(TJsonWriterOpenParam_t *pParam,
                     TJsonWriterHandle_t *pHandle);

int TJsonWriter_close(TJsonWriterHandle_t *pHandle);

int TJsonWriter_save(TJsonWriterHandle_t handle, TJsonValue_t *pValue,
                     char const *pFilename);

int TJsonWriter_stringify(TJsonWriterHandle_t handle, TJsonValue_t *pValue,
                          char **ppText);

#ifdef __cplusplus
}
#endif
